module "k8s_dolo" {
  source  = "./modules/k8s"
  started = true

  cluster_name         = "dolo"
  vm_id_prefix         = "1"
  subnet_cidr          = "10.0.185.0/24"
  gateway              = var.gateway
  control_plane_count  = 3
  worker_count         = 3
  storage_worker_count = 3
  storage_size         = 32
  dns_server_ip        = local.dns_server_ip

  proxmox_vm_storage    = var.proxmox_vm_storage
  proxmox_image_storage = var.proxmox_image_storage

  common_cloud_init = local.common_cloud_init
  cloud_image_id    = proxmox_virtual_environment_file.ubuntu_cloud_image.id
}

module "k8s_folly" {
  source = "./modules/k8s"

  started = false

  cluster_name         = "folly"
  vm_id_prefix         = "2"
  subnet_cidr          = "10.0.186.0/24"
  control_plane_count  = 0
  worker_count         = 0
  storage_worker_count = 0
  dns_server_ip        = local.dns_server_ip

  proxmox_vm_storage    = var.proxmox_vm_storage
  proxmox_image_storage = var.proxmox_image_storage

  common_cloud_init = local.common_cloud_init
  cloud_image_id    = proxmox_virtual_environment_file.ubuntu_cloud_image.id
}

